WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | List of all members
winstd::com_runtime_error Class Reference
Exceptions

COM runtime error. More...

`#include <COM.h>`

Inheritance diagram for winstd::com_runtime_error:

## Public Member Functions
| com_runtime_error (_In_ error_type num, _In_ const std::string &msg)
| Constructs an exception. More...
| com_runtime_error (_In_ error_type num, _In_opt_z_ const char *msg=nullptr)
| Constructs an exception. More...
Public Member Functions inherited from winstd::num_runtime_error< HRESULT >
| num_runtime_error (_In_ error_type num, _In_ const std::string &msg)
| Constructs an exception. More...
| num_runtime_error (_In_ error_type num, _In_opt_z_ const char *msg=nullptr)
| Constructs an exception. More...
error_type | number () const
| Returns the Windows error number.

## Additional Inherited Members
Public Types inherited from winstd::num_runtime_error< HRESULT >
typedef HRESULT | error_type
| Error number type.
Protected Attributes inherited from winstd::num_runtime_error< HRESULT >
error_type | m_num
| Numeric error code.

## Detailed Description

COM runtime error.

Note
  Must be defined as derived class from num_runtime_error<> to allow correct type info for dynamic typecasting and prevent folding with other derivates of num_runtime_error<>.

## Constructor & Destructor Documentation

## ◆ com_runtime_error() [1/2]

winstd::com_runtime_error::com_runtime_error | ( | _In_ error_type | num,
|  | _In_ const std::string & | msg
| ) |  |
| inline

Constructs an exception.

Parameters

  [in] | num | COM error code
  [in] | msg | Error message

## ◆ com_runtime_error() [2/2]

winstd::com_runtime_error::com_runtime_error | ( | _In_ error_type | num,
|  | _In_opt_z_ const char * | msg = `nullptr`
| ) |  |
| inline

Constructs an exception.

Parameters

  [in] | num | COM error code
  [in] | msg | Error message

The documentation for this class was generated from the following file:

- include/WinStd/COM.h